# -*- encoding: utf-8 -*-
# stub: net-ldap 0.16.1 ruby lib

Gem::Specification.new do |s|
  s.name = "net-ldap".freeze
  s.version = "0.16.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Francis Cianfrocca".freeze, "Emiel van de Laar".freeze, "Rory O'Connell".freeze, "Kaspar Schiess".freeze, "Austin Ziegler".freeze, "Michael Schaarschmidt".freeze]
  s.date = "2018-03-13"
  s.description = "Net::LDAP for Ruby (also called net-ldap) implements client access for the\nLightweight Directory Access Protocol (LDAP), an IETF standard protocol for\naccessing distributed directory services. Net::LDAP is written completely in\nRuby with no external dependencies. It supports most LDAP client features and a\nsubset of server features as well.\n\nNet::LDAP has been tested against modern popular LDAP servers including\nOpenLDAP and Active Directory. The current release is mostly compliant with\nearlier versions of the IETF LDAP RFCs (2251-2256, 2829-2830, 3377, and 3771).\nOur roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance with\nthe most recent LDAP RFCs (4510-4519, plutions of 4520-4532).".freeze
  s.email = ["blackhedd@rubyforge.org".freeze, "gemiel@gmail.com".freeze, "rory.ocon@gmail.com".freeze, "kaspar.schiess@absurd.li".freeze, "austin@rubyforge.org".freeze]
  s.extra_rdoc_files = ["Contributors.rdoc".freeze, "Hacking.rdoc".freeze, "History.rdoc".freeze, "License.rdoc".freeze, "README.rdoc".freeze]
  s.files = ["CONTRIBUTING.md".freeze, "Contributors.rdoc".freeze, "Gemfile".freeze, "Hacking.rdoc".freeze, "History.rdoc".freeze, "License.rdoc".freeze, "README.rdoc".freeze, "Rakefile".freeze, "lib/net-ldap.rb".freeze, "lib/net/ber.rb".freeze, "lib/net/ber/ber_parser.rb".freeze, "lib/net/ber/core_ext.rb".freeze, "lib/net/ber/core_ext/array.rb".freeze, "lib/net/ber/core_ext/false_class.rb".freeze, "lib/net/ber/core_ext/integer.rb".freeze, "lib/net/ber/core_ext/string.rb".freeze, "lib/net/ber/core_ext/true_class.rb".freeze, "lib/net/ldap.rb".freeze, "lib/net/ldap/auth_adapter.rb".freeze, "lib/net/ldap/auth_adapter/gss_spnego.rb".freeze, "lib/net/ldap/auth_adapter/sasl.rb".freeze, "lib/net/ldap/auth_adapter/simple.rb".freeze, "lib/net/ldap/connection.rb".freeze, "lib/net/ldap/dataset.rb".freeze, "lib/net/ldap/dn.rb".freeze, "lib/net/ldap/entry.rb".freeze, "lib/net/ldap/error.rb".freeze, "lib/net/ldap/filter.rb".freeze, "lib/net/ldap/instrumentation.rb".freeze, "lib/net/ldap/password.rb".freeze, "lib/net/ldap/pdu.rb".freeze, "lib/net/ldap/version.rb".freeze, "lib/net/snmp.rb".freeze, "net-ldap.gemspec".freeze, "script/changelog".freeze, "script/generate-fixture-ca".freeze, "script/install-openldap".freeze, "script/package".freeze, "script/release".freeze, "test/ber/core_ext/test_array.rb".freeze, "test/ber/core_ext/test_string.rb".freeze, "test/ber/test_ber.rb".freeze, "test/fixtures/ca/ca.info".freeze, "test/fixtures/ca/cacert.pem".freeze, "test/fixtures/ca/cakey.pem".freeze, "test/fixtures/openldap/memberof.ldif".freeze, "test/fixtures/openldap/retcode.ldif".freeze, "test/fixtures/openldap/slapd.conf.ldif".freeze, "test/fixtures/seed.ldif".freeze, "test/integration/test_add.rb".freeze, "test/integration/test_ber.rb".freeze, "test/integration/test_bind.rb".freeze, "test/integration/test_delete.rb".freeze, "test/integration/test_open.rb".freeze, "test/integration/test_password_modify.rb".freeze, "test/integration/test_return_codes.rb".freeze, "test/integration/test_search.rb".freeze, "test/support/vm/openldap/README.md".freeze, "test/support/vm/openldap/Vagrantfile".freeze, "test/test_auth_adapter.rb".freeze, "test/test_dn.rb".freeze, "test/test_entry.rb".freeze, "test/test_filter.rb".freeze, "test/test_filter_parser.rb".freeze, "test/test_helper.rb".freeze, "test/test_ldap.rb".freeze, "test/test_ldap_connection.rb".freeze, "test/test_ldif.rb".freeze, "test/test_password.rb".freeze, "test/test_rename.rb".freeze, "test/test_search.rb".freeze, "test/test_snmp.rb".freeze, "test/test_ssl_ber.rb".freeze, "test/testdata.ldif".freeze, "testserver/ldapserver.rb".freeze, "testserver/testdata.ldif".freeze]
  s.homepage = "http://github.com/ruby-ldap/ruby-net-ldap".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Net::LDAP for Ruby (also called net-ldap) implements client access for the Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for accessing distributed directory services".freeze
  s.test_files = ["test/ber/core_ext/test_array.rb".freeze, "test/ber/core_ext/test_string.rb".freeze, "test/ber/test_ber.rb".freeze, "test/fixtures/ca/ca.info".freeze, "test/fixtures/ca/cacert.pem".freeze, "test/fixtures/ca/cakey.pem".freeze, "test/fixtures/openldap/memberof.ldif".freeze, "test/fixtures/openldap/retcode.ldif".freeze, "test/fixtures/openldap/slapd.conf.ldif".freeze, "test/fixtures/seed.ldif".freeze, "test/integration/test_add.rb".freeze, "test/integration/test_ber.rb".freeze, "test/integration/test_bind.rb".freeze, "test/integration/test_delete.rb".freeze, "test/integration/test_open.rb".freeze, "test/integration/test_password_modify.rb".freeze, "test/integration/test_return_codes.rb".freeze, "test/integration/test_search.rb".freeze, "test/support/vm/openldap/README.md".freeze, "test/support/vm/openldap/Vagrantfile".freeze, "test/test_auth_adapter.rb".freeze, "test/test_dn.rb".freeze, "test/test_entry.rb".freeze, "test/test_filter.rb".freeze, "test/test_filter_parser.rb".freeze, "test/test_helper.rb".freeze, "test/test_ldap.rb".freeze, "test/test_ldap_connection.rb".freeze, "test/test_ldif.rb".freeze, "test/test_password.rb".freeze, "test/test_rename.rb".freeze, "test/test_search.rb".freeze, "test/test_snmp.rb".freeze, "test/test_ssl_ber.rb".freeze, "test/testdata.ldif".freeze, "testserver/ldapserver.rb".freeze, "testserver/testdata.ldif".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<flexmock>.freeze, ["~> 1.3"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.42.0"])
      s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
    else
      s.add_dependency(%q<flexmock>.freeze, ["~> 1.3"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.42.0"])
      s.add_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_dependency(%q<byebug>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<flexmock>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.42.0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
  end
end
